=== debian/control ===
Source: diffoscope
Section: devel
Priority: optional
Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
Uploaders:
 Chris Lamb <lamby@debian.org>,
 Holger Levsen <holger@debian.org>,
 Mattia Rizzolo <mattia@debian.org>,
 Reiner Herrmann <reiner@reiner-h.de>,
Build-Depends:
 bash-completion,
 binutils-multiarch <!nocheck>,
 caca-utils <!nocheck>,
 colord <!nocheck>,
 debhelper (>= 9.20141010),
 default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
 dh-python (>= 2.20160818~),
 dpkg-dev (>= 1.17.14),
 enjarify <!nocheck>,
 fontforge-extras <!nocheck>,
 fp-utils <!nocheck>,
 ghc <!nocheck>,
 ghostscript <!nocheck>,
 libjs-jquery <!nocheck>,
 libjs-jquery-hotkeys <!nocheck>,
 libjs-jquery-isonscreen <!nocheck>,
 libjs-jquery-tablesorter <!nocheck>,
 libjs-jquery-throttle-debounce <!nocheck>,
 llvm <!nocheck>,
 mono-utils <!nocheck>,
 pdftk <!nocheck>,
 poppler-utils <!nocheck>,
 python-argcomplete,
 python3-all,
 python3-debian <!nocheck>,
 python3-docutils,
 python3-guestfs <!nocheck>,
 python3-libarchive-c,
 python3-magic,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rpm <!nocheck>,
 python3-setuptools,
 python3-tlsh (>= 3.4.1) <!nocheck>,
 rpm2cpio <!nocheck>,
 sng <!nocheck>,
 sqlite3 <!nocheck>,
 squashfs-tools <!nocheck>,
 unzip <!nocheck>,
 xxd <!nocheck> | vim-common <!nocheck>,
Standards-Version: 3.9.8
Homepage: https://diffoscope.org/
Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git

Package: diffoscope
Architecture: all
Suggests:
 libjs-jquery,
Breaks:
 debbindiff (<< 29),
Replaces:
 debbindiff (<< 29),
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${diffoscope:Recommends},
 ${python3:Recommends},
Description: in-depth comparison of files, archives, and directories
 diffoscope will try to get to the bottom of what makes files or directories
 different. It will recursively unpack archives of many kinds and transform
 various binary formats into more human readable form to compare them. It can
 compare two tarballs, ISO images, or PDF just as easily. The differences can
 be shown in a text or HTML report.
 .
 diffoscope is developed as part of the “reproducible builds” Debian
 project.

Package: trydiffoscope
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: in-depth comparison of files, archives, etc. (try.diffoscope.org client)
 diffoscope will try to get to the bottom of what makes files or directories
 different. It will recursively unpack archives of many kinds and transform
 various binary formats into more human readable form to compare them. It can
 compare two tarballs, ISO images, or PDF just as easily. The differences can
 be shown in a text or HTML report.
 .
 diffoscope is developed as part of the “reproducible builds” Debian
 project.
 .
 This package contains the https://try.diffoscope.org/ command-line client.
