## diffoscope 63~bpo8+1

=== debian/changelog ===
diffoscope (63~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * debian/rules: disable tests for the backports.  See #842834

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Dec 2016 18:56:17 +0100

diffoscope (63) unstable; urgency=medium

  * Add myself to Uploaders.
  * Greatly improve speed for large archives by fixing O(n^2) complexity for
    archive member lookup.
    - There is still O(n^2) complexity for archive member extraction, but this
      is less noticeable for various reasons and would require more complexity
      to fix, so for now is left as a task for the future.
  * Text output: add coloured diff support via colordiff(1).
  * Html-dir output: add +/- buttons to fold sub-diffs (i.e. toggle their
    visibility) as well as the whole diff itself. As with similar features in
    other programs, the effect affects all descendants if you shift-click.

 -- Ximin Luo <infinity0@debian.org>  Fri, 02 Dec 2016 12:10:04 +0100

diffoscope (62) unstable; urgency=medium

  [ Chris Lamb ]
  * progress: Pass the fileobj to the print(..) function, not str.format.
    Thanks to Marius Gedminas <marius@gedmin.as>.
  * Move diffoscope.Config to a more-standard and simpler singleton pattern
    and validate constraints on every __setattr__.

  [ Maria Glukhova ]
  * tests/{dex,java}: Skip the java tests if javap is older than 1.8.
    This fixes test_java and test_dex failing in jessie-backports.  See #838984

  [ Michel Messerschmidt ]
  * comparators/zip: Add rudimentary support for OpenDocumentFormat files.

  [ Mattia Rizzolo ]
  * debian: bump debhelper compat level to 10, no changes needed.
  * comparators/ppu:
    + don't do run a full ppudump while only looking for PPU file version.
    + ignore decoding errors from ppudump while filtering the output.
  * tests/ppu: skip some PPU tests if ppudump is < 3.0.0.  Closes: #838984
  * tests: skip test using a format accepted by older pytest.  Closes: #841146

  [ Daniel Shahaf ]
  * comparators/json: detect order-only differences and print them nicely.
    Closes: #839538

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Nov 2016 15:33:45 +0000
