=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Holger Levsen <holger@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
  Reiner Herrmann <reiner@reiner-h.de>,
+ Ximin Luo <infinity0@debian.org>
 Build-Depends:
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
- debhelper (>= 9.20141010),
+ debhelper (>= 10),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
  dpkg-dev (>= 1.17.14),
