=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html
 export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
 export PYBUILD_AFTER_INSTALL=rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
+export PYBUILD_DISABLE = test
 
 %:
 	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
