## diffoscope 66~bpo8+1

=== debian/changelog ===
diffoscope (66~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * d/control: drop build-deps on python-jsbeautifier and apktool, not
    available in jessie-backports.
  * d/rules: skip test_openssh_pub_key tests, as openssh in jessie has an
    incompatible output.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 04 Jan 2017 17:57:47 +0100

diffoscope (66) unstable; urgency=medium

  [ Chris Lamb ]
  * Update dex_expected_diffs and test requirement to ensure test compatibility
    with enjarify >= 1.0.3. (Closes: #849142)
  * Print the detected version in @skip_unless_tool_is_at_least test utility.

  [ Maria Glukhova ]
  * Add detection of order-only difference in plain text format. (Closes: #848049)

  [ anthraxx ]
  * Add OpenSSH Arch package to Recommends.

 -- Chris Lamb <lamby@debian.org>  Sat, 24 Dec 2016 19:18:30 +0000

diffoscope (65) unstable; urgency=medium

  [ Chris Lamb ]
  * Avoid unpacking packages twice when comparing .changes. (Closes: #843531)
  * Add a simple profiling framework (enabled via --profile) which tracks:
    - Container extraction, opening and closing times.
    - The "compare_files" top-level/recursive method.
    - The time taken to produce the various output formats.
    - All "has_same_content_as" and "recognizes" methods.
    - External commands that wrap "@tool_required".
    - External commands that use "make_feeder_from_command".
    - The internal/external "cmp" methods.
    - Some manual calls to subprocess.check_output().
  * Tidy log messages:
    * Clarify the meaning of the compare_files and Binary.has_same_content
      debug messages.
    * Skip low-value "X is already specialized" message.
    * Correct "instantiating" typo.

  [ Emanuel Bronshtein ]
  * Use ssh-keygen for comparing OpenSSH public keys
  * Remove inline styles from col elements

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Dec 2016 11:58:15 +0000

diffoscope (64) unstable; urgency=medium

  [ Chris Lamb ]
  * Avoid shelling out to colordiff by implementing highlighting in Python
    directly.
  * Split out trydiffoscope client and binary package from main diffoscope
    repository so that it can be more-easily released on PyPI.
  * Memoize calls to ``distutils.spawn.find_executable`` to avoid excessive
    stat(1) syscalls.
  * Remove temporary profiling file introduced in 97bddd18a.
  * comparators.directory:
    - Correct `source` attribute of lsattr-based Difference instances.
    - Add comment regarding why difficult to optimise calls to lsattr
  * Internally guarantee to all progress observers that we will be processing
    something.
  * bin/diffoscope:
    - Ensure that running from Git always uses that checkout's modules.
    - Use os.path.join "properly" as we are already using it.
    - Use typical sys.path.insert(0, ...) method to modify sys.path.
    - Use immutable tuple over mutable list for clarity.
  * comparators.debian: No need to keep .buildinfo file descriptor open.
  * Suggest command-line for signing of PyPI uploads.
  * Improve documentation of new tests/conftest.py file.

  [ Maria Glukhova ]
  * Remove test data causing problems during build with Python 3.4.
  * Change icc-recognizing regexp to reflect changes in file type description.
    (Closes: #848814)

  [ Brett Smith ]
  * set_locale should call tzset. (Closes: #848249)
  * Ensure set_locale fixture runs before all tests.

  [ Emanuel Bronshtein ]
  * Use js-beautify as JavaScript code beautifier for .js files (with tests).
  * CSS & HTML changes:
    - Disable referrer and window.opener leakage.
    - Disable compatibility mode usage in IE.
    - Use double quotes for HTML attributes.
    - Fix unclosed element span.
    - CSS optimizations.
    - Add fallback color to rgba usage.
    - Fix CSS markup warnings.
  * Change all HTTP URLs to HTTPS where applicable.

  [ Baptiste Daroussin ]
  * comparators/directory: add compatibily with FreeBSD's getfacl.
  * Improve portability by not relying on /dev/fd.

  [ Reiner Herrmann ]
  * Improved support for Android apk files.
  * Fix wording in Comparators.get_members comment.

  [ Mattia Rizzolo ]
  * presenters/html: Namespace the diffoscope CSS class.

 -- Chris Lamb <lamby@debian.org>  Thu, 22 Dec 2016 10:37:36 +0000
