=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Holger Levsen <holger@debian.org>,
  Mattia Rizzolo <mattia@debian.org>,
  Reiner Herrmann <reiner@reiner-h.de>,
- Ximin Luo <infinity0@debian.org>
+ Ximin Luo <infinity0@debian.org>,
 Build-Depends:
  bash-completion,
  binutils-multiarch <!nocheck>,
@@ -29,6 +29,7 @@
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
  mono-utils <!nocheck>,
+ openssh-client <!nocheck>,
  pdftk <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
@@ -78,21 +79,3 @@
  .
  diffoscope is developed as part of the “reproducible builds” Debian
  project.
-
-Package: trydiffoscope
-Architecture: all
-Depends:
- python3-requests,
- ${misc:Depends},
- ${python3:Depends},
-Description: in-depth comparison of files, archives, etc. (try.diffoscope.org client)
- diffoscope will try to get to the bottom of what makes files or directories
- different. It will recursively unpack archives of many kinds and transform
- various binary formats into more human readable form to compare them. It can
- compare two tarballs, ISO images, or PDF just as easily. The differences can
- be shown in a text or HTML report.
- .
- diffoscope is developed as part of the “reproducible builds” Debian
- project.
- .
- This package contains the https://try.diffoscope.org/ command-line client.
