=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,14 @@
 
 export PATH := $(CURDIR)/bin:$(PATH)
 export PYBUILD_DESTDIR = debian/diffoscope
-export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html
+export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html -k "not test_openssh_pub_key"
 export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
 export PYBUILD_AFTER_INSTALL=rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
-export PYBUILD_DISABLE = test
 
 %:
 	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
 
 override_dh_python3:
-	dh_python3 -p trydiffoscope
 	dh_python3 -p diffoscope \
 		--recommends=python-debian \
 		--recommends=rpm-python \
