=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  Reiner Herrmann <reiner@reiner-h.de>,
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
+ apktool <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
@@ -33,6 +34,7 @@
  pdftk <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
+ jsbeautifier <!nocheck>,
  python3-all,
  python3-debian <!nocheck>,
  python3-docutils,
