=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 export PATH := $(CURDIR)/bin:$(PATH)
 export PYBUILD_DESTDIR = debian/diffoscope
-export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html -k "not test_openssh_pub_key"
+export PYBUILD_TEST_ARGS = -vv -r sxX --cov=diffoscope --cov-report=term-missing --cov-report=html
 export PYBUILD_AFTER_TEST = debian/tests/basic-command-line
 export PYBUILD_AFTER_INSTALL=rm -rvf '{destdir}/{install_dir}/htmlcov' '{destdir}/{install_dir}/.coverage'
