## diffoscope 78~bpo8+1

=== debian/changelog ===
diffoscope (78~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * d/control: drop build-deps on apktool, not available in jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 26 Feb 2017 17:30:17 +0100

diffoscope (78) unstable; urgency=medium

  [ Brett Smith ]
  * comparators.json:
    + Catch bad JSON errors on Python pre-3.5.  Closes: #855233

  [ Chris Lamb ]
  * tests:
    + Move normalize_zeros to more generic `utils.data` module.
    + Fix tests that call xxd fail on jessie due to output change.
      Closes: #855239

  [ Ed Maste ]
  * comparators.directory:
    + Assume BSD-style stat(1) on FreeBSD.  Closes: #855169

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 26 Feb 2017 17:26:48 +0100

diffoscope (77) unstable; urgency=medium

  [ Chris Lamb ]
  * tests/comparators/utils:
    + Correct logic of module_exists, ensuring we correctly skip in case of
      modules containing a dot in their name.  Closes: #854745
  * comparators/utils/libarchive:
    + No need to track archive directory locations.
  * Add --exclude option.  Closes: #854783
  * Add PyPI badge to README.rst.
  * Update .travis.yml from http://travis.debian.net.

  [ Mattia Rizzolo ]
  * Add CVE reference to the changelog of v76.
  * Add my key to debian/upstream/signing-key.asc.

  [ Ximin Luo ]
  * comparators/utils/libarchive:
    + When extracting archives, try to keep directory sizes small.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 13 Feb 2017 16:25:02 +0100

diffoscope (76) unstable; urgency=medium

  [ Chris Lamb ]
  * Extract archive members using an auto-incrementing integer, avoiding the
    need to sanitise filenames and avoiding writes to arbitrary locations.
    (Closes: #854723 - CVE-2017-0359)

  [ Ximin Luo ]
  * Simplify call to subprocess.Popen

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Feb 2017 11:37:52 +1300

diffoscope (75) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix ImportError in Debian comparator tests. This was caused by not
    handling the case where ``importlib.find_spec`` was testing for a submodule
    (ie. ``debian.Deb822``) where it will attempt to import the ``debian``
    module and raise an exception if it does not exist. Thanks to Iain Lane for
    initial patches. (Closes: #854670)

  [ Ximin Luo ]
  * Remove pointless use of a thread

 -- Chris Lamb <lamby@debian.org>  Fri, 10 Feb 2017 09:28:47 +1300

diffoscope (74) unstable; urgency=medium

  * Add missing Recommends for comparators. This was a regression introduced in
    version 71 due to lazily-importing them; they were then not available when
    we called "--list-tools=debian" during package build. (Closes: #854655)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Feb 2017 16:58:28 +1300

diffoscope (73) unstable; urgency=medium

  * debian/tests/pytest: Remove spurious clipboard contents.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Feb 2017 13:24:59 +1300

diffoscope (72) unstable; urgency=medium

  * Fix autopkgtest failures when Recommends are not installed.
    (Closes: #854593)
  * Specify <html lang="en"> in HTML output. (re. #849411)
  * Tests:
    - Add a "@skip_unless_module_exists" decorator.
    - Show local variables in tracebacks.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Feb 2017 12:49:40 +1300

diffoscope (71) unstable; urgency=medium

  [ Chris Lamb ]
  * New features:
    - Add a machine-readable JSON output format. (Closes: #850791)
    - Show results from debugging packages last. (Closes: #820427)
    - Add a --max-text-report-size option. (Closes: #851147)
  * Bug fixes:
    - Clean all temp files in signal handler thread instead of attempting to
      bubble exception back to the main thread. (Closes: #852013)
    - Prevent FTBFS by loading fixtures as UTF-8 in case surrounding terminal
      is not Unicode-aware. (Closes: #852926)
    - Fix errors when comparing directories with non-directories.
      (Closes: #835641)
    - Fix behaviour of setting report maximums to zero (ie. no limits)
  * Tests:
    - Test the RPM "fallback" comparison.
    - Test the Deb{Changes,Buildinfo,Dsc} fallback comparisons.
    - Test --progress and --status-fd output.
    - Add tests for symlinks differing in destination.
    - When comparing two empty directories, ensure that the mtime of the
      directory is consistent to avoid non-deterministic failures.
    - Smoke test profiling output.
    - Ensure we ignore invalid JSON files correctly.
    - Ensure 2nd source of a Difference is a string, not just the 1st.
    - Don't report on test coverage for some internal error messages.
  * Misc:
    - Add docs about releasing signed tarballs.
    - Drop the incomplete list of external tools from README.rst.
    - Add debian/watch file with cryptographic signature verification.
    - Drop CpioContent command now that we use libarchive.
    - Use a singleton to manage our Comparator classes.
    - Many small optimisations and code cleanups.

  [ Brett Smith ]
  * diffoscope.diff: Improve FIFO writing robustness.

  [ Ximin Luo ]
  * Fix bug introduced in commit 36d1c964 that only worked "accidentally".
  * Fix lazy expression; filter is lazy in Python 3.

  [ Mattia Rizzolo ]
  * Override the debian-watch-file-in-native-package lintian tag.

  [ anthraxx ]
  * Arch package changed from cdrkit to cdrtools.

  [ Holger Levsen ]
  * Restore history section in README, explaining this was started in Debian.

 -- Chris Lamb <lamby@debian.org>  Wed, 08 Feb 2017 13:02:01 +1300

diffoscope (70) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * comparators
    + haskell: add a comment describing the file header.
      Thanks to James Clarke <jrtc27@debian.org> for all the investigation done.
  * tests:
    + Skip two more tests requiring a x86-64-capable binutils.
      This fixes the tests on ppc64el.
  * CONTRIBUTING: misc updates, clearer info about how to submit a Debian bug.

  [ James Clarke ]
  * comparators:
    + haskell: Properly extract version from interface files.

