=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  Reiner Herrmann <reiner@reiner-h.de>,
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
- apktool <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
@@ -23,6 +22,7 @@
  fp-utils <!nocheck>,
  ghc <!nocheck>,
  ghostscript <!nocheck>,
+ imagemagick <!nocheck>,
  libjs-jquery <!nocheck>,
  libjs-jquery-hotkeys <!nocheck>,
  libjs-jquery-isonscreen <!nocheck>,
@@ -41,6 +41,7 @@
  python3-guestfs <!nocheck>,
  python3-libarchive-c,
  python3-magic,
+ python3-progressbar <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-rpm <!nocheck>,
