## diffoscope 81

=== debian/changelog ===
diffoscope (81) experimental; urgency=medium

  [ Chris Lamb ]
  * Correct meaningless "1234-content" metadata when introspecting files
    within archives. This was a regression since #854723 due to the use of
    auto-incrementing on-disk filenames. (Closes: #858223)
  * Refactor get_compressed_content_name.

  [ Ximin Luo ]
  * Improve ISO9660/DOS/MBR check.

 -- Chris Lamb <lamby@debian.org>  Mon, 27 Mar 2017 16:21:17 +0100

diffoscope (80) experimental; urgency=medium

  * Ensure that we really are using ImageMagick and not, for example, the
    GraphicsMagick compatibility layer installed by
    graphicsmagick-imagemagick-compat. (Closes: #857940)
  * Factor out the unicode decoding of the identify -version output.
  * travis.yml: Don't build tags.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Mar 2017 17:06:45 +0100

diffoscope (79) experimental; urgency=medium

  [ Chris Lamb ]
  * Extract SquashFS images in one go rather than per-file, speeding up (eg.)
    Tails ISO comparison by ~10x.
  * Support newer versions of cbfstool to avoid test failures.
    (Closes: #856446)
  * Skip icc test that varies on endian if the Debian-specific patch is not
    present. (Closes: #856447)
  * Compare GIF images using gifbuild. (Closes: #857610)
  * Also interpret "DOS/MBR boot sector" files as ISO images as they may have
    been processed by isohybrid.
  * Progress bar:
    - Hide bar if we are running with --debug mode.
    - Update prior to working on an item so the displayed filename is correct.

  [ Maria Glukhova ]
  * Improve AndroidManifest.xml comparison for APK files.
    - Indicate the AndroidManifest.xml type. (Closes: #850758)

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Mar 2017 09:38:16 +0100
