=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
  fp-utils <!nocheck>,
  ghc <!nocheck>,
  ghostscript <!nocheck>,
+ giflib-tools <!nocheck>,
  imagemagick <!nocheck>,
  libjs-jquery <!nocheck>,
  libjs-jquery-hotkeys <!nocheck>,
