=== debian/control ===
--- 
+++ 
@@ -17,7 +17,9 @@
  debhelper (>= 10),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
+ docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
+ device-tree-compiler (>= 1.4.2) <!nocheck>,
  enjarify <!nocheck>,
  fontforge-extras <!nocheck>,
  fp-utils <!nocheck>,
@@ -25,6 +27,8 @@
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
  imagemagick <!nocheck>,
+ jsbeautifier <!nocheck>,
+ libarchive-tools <!nocheck>,
  libjs-jquery <!nocheck>,
  libjs-jquery-hotkeys <!nocheck>,
  libjs-jquery-isonscreen <!nocheck>,
@@ -32,11 +36,13 @@
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
  mono-utils <!nocheck>,
+ odt2txt <!nocheck>,
+ oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
  pdftk <!nocheck>,
+ pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
- jsbeautifier <!nocheck>,
  python3-all,
  python3-debian <!nocheck>,
  python3-docutils,
@@ -49,15 +55,17 @@
  python3-rpm <!nocheck>,
  python3-setuptools,
  python3-tlsh (>= 3.4.1) <!nocheck>,
+ r-base-core <!nocheck>,
  rpm2cpio <!nocheck>,
  sng <!nocheck>,
  sqlite3 <!nocheck>,
  squashfs-tools <!nocheck>,
+ tcpdump <!nocheck>,
  unzip <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
 Standards-Version: 3.9.8
 Homepage: https://diffoscope.org/
-Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
+Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git -b experimental
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
 
 Package: diffoscope
