## diffoscope 85~bpo9+1

=== debian/changelog ===
diffoscope (85~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 05 Aug 2017 13:25:41 +0200

diffoscope (85) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * tools:
    + move from the deprecated platform.linux_distribution() to the external
      python package "distro".  Add it as an optioanl dependency, as without it
      distribution detection (i.e. `diffoscope --list-tools`) won't work.
      Also add it as a Debian (hard) dependency, as it's a very lightway
      package, and the usefulness it brings are great.
    + add a get_package_provider() function, returning the package name
      that best matches the system.
  * exc:
    + in RequiredToolNotFound.get_package(), just call the new
      get_package_provider()
  * debian/rules:
    + recommends the defusedxml python package, to avoid using the python3's
      standard xml library and its security holes.

  [ Chris Lamb ]
  * comparators:
    + sqlite:
      - Simplify file detection by rewriting manual `recognizes` call
        with a `Sqlite3Database.RE_FILE_TYPE` definition.
    + xml:
      - Fix EPUB "missing file" tests; they ship a META-INF/container.xml file.

  [ Ximin Luo ]
  * comparators:
    + factor common logic from various comparators into File.recognizes.
    + more tidying up and making names consistent.
    + directory:
      - make stat(1) warning textually like the other warnings.
      - bump stat(1) warning into an error.
      - use getfacl(1) before lsattr(1) as it's more general.
    + apk:
      - less kludgy way of detecting APKs.  Closes: #868486
  * main, logging:
    + restore old logger settings to avoid pytest fail in certain situations.
  * debian/rules:
    + add a check to prevent additions of "DOS/MBR" file type.
  * feeder:
    + force a flush when writing output to diff.  Closes: #870049
  * tests/comparators:
    + directory:
      - be less strict about the expected test output, to cope with a missing
        `getfacl`.  Closes: #868534

  [ Juliana Oliveira Rodrigues ]
  * comparators:
    + Add new XML comparator.  Closes: #866120
      The comparator will use defusedxml if this is installed, to avoid
      falling in known security holes coming from the XML specification.
  * tests/comparators:
    + apk:
      - fix the tests after the addition of the XML comparator.
    + image:
      - fix test_ico_image for identify >= 6.9.8.

  [ Guangyuan Yang ]
  * tests/comparators:
    + device:
      - fix 2 cases for FreeBSD.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 31 Jul 2017 22:27:45 +0200

diffoscope (84) unstable; urgency=medium

  [ Ximin Luo ]
  * comparators:
    + directory:
      - raise warning for getfacl and remove a redundant try-clause.
      - add a --exclude-directory-metadata option.  Closes: #866241
  * diff:
    + Restore artificial limit when calculating linediff, to prevent memory
      blow up.  Closes: #865660
  * presenters:
    + text:
      - fix recursive header display in the text output, deeply-nested headers
        were not getting indented far enough.
    + add a PartialString class.
    + html:
      - in html-dir mode, put css/icon in separate files to avoid duplication.
      - split index pages up if they get too big.
      - add a size-hint to the diff headers and lazy-load buttons.
      - diffcontrol UI tweaks:
        * don't toggle buttons for diffs that haven't been loaded yet;
        * make the diffcontrol headers clickable.
      - more intuitive "limit" flags, with some backwards-incompatible changes:
        --max-report-size:
          Old: in --html-dir this limited only the parent page
          New: in --html-dir this applies across all pages
        --max-diff-block-lines:
          Old: in --html-dir 4 * this number applied across all pages
          New: in --html-dir this applies across all pages
        --max-page-size:
          New flag
          Applies to the sole --html page, or the top-level --html-dir page
        --max-report-child-size
          Renamed to
        --max-page-size-child:
          No behavioural changes
        --max-diff-block-lines-parent
          Renamed to
        --max-page-diff-block-lines:
          Old: Only applied to the top-level --html-dir page
          New: Applies to the sole --html page or the top-level --html-dir page
  * main:
    + temporarily add old flags back for backwards-compatibility.
    + warn if loading a diff but also giving diff-calculation flags.
    + implement proper boolean flags to fix test failure in previous commit.
  * tests:
    + handle existing but not importable modules.
      This fixes the tests during the Python 3.6 transition, where some
      modules (like rpm) exists but are not yet rebuilt for 3.6.
    + fix progressbar failure that was exposed by the previous importing fixes.
    + presenters:
      - skip visual test if tools aren't installed.  Closes: #865625
    + comparators
      - sqlite: test for sqlite 3.19.
      - fsimage: move the guestfs cache out of the default /var/tmp/ into a
        "more temporary" directory.

  [ Mattia Rizzolo ]
  * debian/control: fix Vcs-Git field.

  [ Chris Lamb ]
  * debian/control: bump Standards-Version to 4.0.0.

  [ Daniel Shahaf ]
  * Fix markup in the man page synopsis.  Closes: #866577
   Thanks to Niels Thykier for the report.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 12 Jul 2017 12:28:11 +0200
