=== debian/control ===
--- 
+++ 
@@ -45,6 +45,7 @@
  python-argcomplete,
  python3-all,
  python3-debian <!nocheck>,
+ python3-distro <!nocheck>,
  python3-docutils,
  python3-guestfs <!nocheck>,
  python3-libarchive-c,
@@ -63,9 +64,9 @@
  tcpdump <!nocheck>,
  unzip <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://diffoscope.org/
-Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git -b experimental
+Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
 
 Package: diffoscope
