=== debian/rules ===
--- 
+++ 
@@ -43,17 +43,25 @@
 override_dh_auto_build: debian/diffoscope.bash-completion $(MANPAGES)
 	dh_auto_build -O--buildsystem=pybuild
 
+override_dh_auto_test:
+# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
+# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
+	! grep 'DOS/MBR' -R diffoscope
+	dh_auto_test
+
 override_dh_installman: $(MANPAGES)
 	dh_installman -O--buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 -p diffoscope \
+		--depends=distro \
+		--recommends=argcomplete \
+		--recommends=defusedxml \
+		--recommends=guestfs \
+		--recommends=progressbar \
 		--recommends=python-debian \
 		--recommends=rpm-python \
 		--recommends=tlsh \
-		--recommends=guestfs \
-		--recommends=argcomplete \
-		--recommends=progressbar
 
 override_dh_gencontrol:
 	bin/diffoscope --list-debian-substvars >> debian/diffoscope.substvars
